Subject: [Ianaplan] Process concern regarding the IETF proposal development process

From: Alissa Cooper <[email-masked]>
Date: Mon, 19 Jan 2015 06:33:23 -0800

After draft-ietf-ianaplan-icg-response was submitted to the ICG, the ICG received the following comment: http://forum.icann.org/lists/icg-forum/msg00017.html

---

From: Seun Ojedeji <[email-masked]>
Date: Mon, 19 Jan 2015 16:09:48 +0100

Hello,

I will say i observed some level of IETF community experience making great
influence in the proposal development, nevertheless the "not so IETF
experienced" me agree on the group decision with regards to the IPR on
iana.org/IANA. I think Richard may want to further clarify the section of
his mail below (especially the one in bold as a non-legal me tend to
disagree):

>  .....the IETF proposal does not adequately address certain issues, in particular: (a)
> replacing the existing IANA functions contract between NTIA and ICANN with
> an equivalent legally binding contract for what concerns protocol parameters*(the current MoU between ICANN and IETF is probably not a legally binding
> contract)*....
>
>
Regards

On Mon, Jan 19, 2015 at 3:33 PM, Alissa Cooper <[email-masked]> wrote:

> After draft-ietf-ianaplan-icg-response was submitted to the ICG, the ICG
> received the following comment:
> http://forum.icann.org/lists/icg-forum/msg00017.html
>
> _______________________________________________
> Ianaplan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ianaplan
>
>

-- 
------------------------------------------------------------------------

*Seun Ojedeji,Federal University Oye-Ekitiweb:      http://www.fuoye.edu.ng
<http://www.fuoye.edu.ng> Mobile: +2348035233535**alt email:
<http://goog_1872880453>[email-masked]
<[email-masked]>*

The key to understanding is humility - my view !

---

From: Bernard Aboba <[email-masked]>
Date: Mon, 19 Jan 2015 07:53:38 -0800

I would note that both of the concerns listed are under consideration by the IAOC. Also, the proposals from the other communities also include mention of both items. So while it is fair to say that the issues require more work, I do not believe they are process concerns in this WG. 

> On Jan 19, 2015, at 6:33 AM, Alissa Cooper <[email-masked]> wrote:
>

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 19 Jan 2015 11:01:55 -0500

I am speaking only for myself in this message (as usual).

> After draft-ietf-ianaplan-icg-response was submitted to the ICG, the ICG received the following comment: http://forum.icann.org/lists/icg-forum/msg00017.html

I think Richard Hill's argument in that message contains a number of
faulty premises.  I disagree with most of the message.

To begin with, he supposes that there is a hard line between "bottom
up" and "the leadership".  This represents a misunderstanding of how
the IETF works.  We expect the so-called leadership to participate.
(I say "so called", because anyone who has worked in the IETF for any
length of time knows that the IETF leadership relies on the respect of
its IETF peers: an IESG member who does not command professional
respect will quickly find him or herself isolated and unable to
function.)  In the case of the IESG members (all the examples are of
one particular IESG member), we expect them not to abuse their
position of control, or even threaten to do that.  I see no hint of
any such threat in any of the example posts.  It's true that the
example messages are a little sharp.  That is a style of debate we
sometimes see in the IETF.

I disagree that with Richard's claim that the chairs did not justify
their view.  I think they did, at least in the ways that I would
expect in the IETF.  It could be that this is a cultural understanding
of people who have participated in the IETF for some time and that is
not widely shared among the rest of the human population.  But it
appears to me that the chairs referred to both the outcome of the
meeting in Honolulu and the messages to the list to justify their
conclusions of rough consensus.  I had to pay attention to their
decision as part of my duties as the WG document shepherd, and
certainly I was not confused about what they were saying or why they
said it.

I believe that I understand what Richard is saying in his paragraph
beginning, "In my view, as I tried…," and as nearly as I can tell the
WG simply disagreed with him.  That is sometimes what happens with
rough consensus.  I think Richard is "in the rough."  I am not a person
who makes that determination for the WG or the IETF, but I agree with
that determination on the part of the chairs and the responsible AD.

Finally, if Richard believes that there was a process irregularity
(and he seems to be arguing that), then he is quite mistaken that he
cannot appeal the decision.  That would indeed be grounds for appeal.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Jefsey <[email-masked]>
Date: Mon, 19 Jan 2015 17:09:03 +0100

At 16:09 19/01/2015, Seun Ojedeji wrote:
>I will say i observed some level of IETF community experience making 
>great influence in the proposal development, nevertheless the "not 
>so IETF experienced" me agree on the group decision with regards to 
>the IPR on <http://iana.org/IANA>iana.org/IANA. I think Richard may 
>want to further clarify the section of his mail below (especially 
>the one in bold as a non-legal me tend to disagree):
>
>an equivalent legally binding contract for what concerns protocol parameters
>
>(the current MoU between ICANN and IETF is probably not a legally binding
>
>contract)....

Dear Seun,

Things are politically binding by virtue of the NTIA which is assumed 
to be gone by Sept 15, 2015. This is why we can only trust the last 
public commitment and the cross-protocol documentation (in being 
prepared it may changed). Please remember Brian Carpenter's RFC 1958. 
"Architectural Principles of the Internet": "Principles that seemed 
inviolable a few years ago are deprecated today. Principles that seem 
sacred today will be deprecated tomorrow. The principle of constant 
change is perhaps the only principle of the Internet that should 
survive indefinitely".

This WG has published a soon-to-be-forgot Draft. Its only virtue will 
be its RFC number and the time-stamp of the ISOC response to my 
appeal. It will be the self-acknowledged date of the end of the IET 
Internet exclusive on the Catenet. From then on, it will be clear 
that catenet users will be free to use non-IETF internet coopetitive 
innovation as per RFC 6852. As per these OpenStand 
IEEE/IAB/IETF/W3C/ISOC rules ICANN will continue to operate in 
parallel with other national, Libre and commercial IANA/DNS propositions.

What is important is to make sure there is no name, number or 
parameter collision.
jfc

---

From: Milton L Mueller <[email-masked]>
Date: Mon, 19 Jan 2015 16:29:10 +0000

I agree with Bernard. I think Richard’s claim that the proposal is incomplete or ambiguous in certain critical respects has more substance than the process concern.

A fairly small number of people were actively involved here but the preponderance seemed to like the document as it came out. Rough consensus was achieved in the end game by asking for formal acknowledgments from ICANN regarding the protocol-related IANA functions and by making it clear that the IAOC could take up some of the loose ends. At least, that’s what made me go along. That rough consensus doesn’t mean the proposal is complete, however.

The top-down vs. bottom up issue would be more significant if the top were acting in conflict with a larger portion of the bottom but the leadership seemed to have some minor differences among themselves and what we came up with was acceptable to most.

--MM

From: Ianaplan [mailto:[email-masked]] On Behalf Of Bernard Aboba
Sent: Monday, January 19, 2015 10:54 AM
To: Alissa Cooper
Cc: [email-masked]
Subject: Re: [Ianaplan] Process concern regarding the IETF proposal development process

---

From: Seun Ojedeji <[email-masked]>
Date: Mon, 19 Jan 2015 17:31:48 +0100

sent from Google nexus 4
kindly excuse brevity and typos.
On 19 Jan 2015 16:53, "Bernard Aboba" <[email-masked]> wrote:
>
> I would note that both of the concerns listed are under consideration by
the IAOC. Also, the proposals from the other communities also include
mention of both items.
Just to note that it's 1 of the communities(numbers) that has included
this; not necessarily that I agree with that but again it does not serve as
basis for me to fault the entire process.

So while it is fair to say that the issues require more work,
On a lighter note, it's interesting that to note that IETF who will mostly
be affected by those issues raised had to wait to be prompted by other
communities.

Cheers!

I do not believe they are process concerns in this WG.

---

From: Bernard Aboba <[email-masked]>
Date: Mon, 19 Jan 2015 09:14:50 -0800

Seun said:

"On a lighter note, it's interesting that to note that IETF who will mostly
be affected by those issues raised had to wait to be prompted by other
communities."

[BA] I don't believe that this is accurate.  Under RFC 6220, the IAOC owns
legal and contractual issues with the IANA Protocol Parameter contractor.
The chartering of the IANAPLAN WG did not change that.  The issues referred
to have been under active discussion within IAOC and the IETF Trust all
along (with legal counsel assisting).   The IANAPLAN WG has only been
responsible for providing a sense of priorities for that legal work - a set
of requirements, if you will.

It is important not to confuse the "requirements" drafted by IANAPLAN WG
with the actual legal and contractual arrangements under development by the
IAOC.

On Mon, Jan 19, 2015 at 8:31 AM, Seun Ojedeji <[email-masked]>
wrote:

> >> After draft-ietf-ianaplan-icg-response was submitted to the ICG, the
> ICG received the following comment:

---

From: John Curran <[email-masked]>
Date: Mon, 19 Jan 2015 07:58:30 -1000

On Jan 19, 2015, at 4:33 AM, Alissa Cooper <[email-masked]> wrote:
> 
> After draft-ietf-ianaplan-icg-response was submitted to the ICG, the ICG received the following comment: http://forum.icann.org/lists/icg-forum/msg00017.html <http://forum.icann.org/lists/icg-forum/msg00017.html>
FYI - <http://forum.icann.org/lists/icg-forum/msg00019.html <http://forum.icann.org/lists/icg-forum/msg00019.html>>
/John

---

From: John C Klensin <[email-masked]>
Date: Mon, 19 Jan 2015 13:52:34 -0500

--On Monday, January 19, 2015 17:31 +0100 Seun Ojedeji
<[email-masked]> wrote:

>...
> On a lighter note, it's interesting that to note that IETF who
> will mostly be affected by those issues raised had to wait to
> be prompted by other communities.

Actually, that is exactly where the issue lies.  At the risk of
oversimplifying both positions (and temporarily putting the
process issues aside), I heard both:

-- arguments that these were very significant issues for the
IETF and that the IETF would be most affected by them.

-- arguments that these issues were actually of little
importance to the IETF and that, while moving the domain name
and/or trademark away from ICANN and to a presumably-neutral
party would be fine with the IETF, it was not of any great
importance.

Since Richard's note and some other comments repeat (or
summarize) the first argument, let me briefly summarize the two
most important elements of the second set:

(1) In part because the number of separate, and
separately-referenced, registries in the Protocol Parameter area
vastly exceeds the number in either the Numbers or names area,
the IETF would have a considerable conversion problem if either
the IANA function were broken into multiple pieces or if it was
somehow transferred away from ICANN under circumstances that
resulted in an ICANN decision to not be active in, and positive
about, facilitating that transition.  The requirements of that
conversion would be such that whether or not the names were
available (and hence whether the IETF needed to invent
completely new names) would be trivial as compared to everything
else that would need to be done.

(2) Because of the jurisdictional issues involved, open
questions about ICANN's long-term locale and accountability
issues, etc., some of us are very skeptical about whether what
Richard characterizes as a "legally binding agreement" is
meaningful or operationally relevant.  If there is general
agreement about what should be done and a spirit of cooperation,
then "legally binding" is unnecessary.  If there is not and one
has to somehow enforce such an agreement because one party is
perceived as having become non-responsive or uncooperative by
the other(s), then the one thing that is nearly certain is it
would take a relatively long time to get to a final conclusion.
At least for planning purposes, the IETF would need to assume
that would be long enough that it would be necessary to put an
independent transition plan into effect -- a transition plan
that would raise the issues in (1) above -- in order to preserve
the stability, accessibility, and utility of the protocol
parameter registries.

Returning to the process question, it seems to me that Richard
(and some others) simply failed to convince the WG that the
first position was of critical importance or that the arguments
for it dominated those for the second.     The other important
element of his argument seems to be that members of the "IETF
Leadership" had opinions and expressed them.  For better or
worse, an important component of the IETF's leadership selection
regime is expertise and opinions -- we aren't supposed to be
appointing professional process arbiters who don't have, or are
expected to suspend, their experience and professional judgment.
When we end up with leaders whose concerns are more about
process than about substance --including their own judgments--
we usually end up regretting it.   If he feels that there was
abuse in the consensus-determining process, that is precisely
why we have an appeals (really an extended internal review)
process of which he has failed to take advantage.  Instead, he
has claimed that he could not make such an appeal -- that is not
the case as others have pointed out.

If "I didn't like the outcome" is grounds for claiming to the
ICG that a process concern exists, then consensus as the IETF
understands it would basically be impossible.

    john

---

From: Seun Ojedeji <[email-masked]>
Date: Mon, 19 Jan 2015 21:52:13 +0100

sent from Google nexus 4
kindly excuse brevity and typos.
On 19 Jan 2015 18:15, "Bernard Aboba" <[email-masked]> wrote:
>
> Seun said:
>
> "On a lighter note, it's interesting that to note that IETF who will
mostly be affected by those issues raised had to wait to be prompted by
other communities."
>
> [BA] I don't believe that this is accurate.  Under RFC 6220, the IAOC
owns legal and contractual issues with the IANA Protocol Parameter
contractor.  The chartering of the IANAPLAN WG did not change that.  The
issues referred to have been under active discussion within IAOC and the
IETF Trust all along (with legal counsel assisting).   The IANAPLAN WG has
only been responsible for providing a sense of priorities for that legal
work - a set of requirements, if you will.

... yes and transfer of IPR was not recognised to be on this WG list until
it got triggered by an external community. On another note, your message
above seem to imply that this WG is not tasked with preparing a response to
the ICG and also that the IAOC could introduce other elements that did not
achieve consensus within this WG. I hope I am wrong about that?

I believe my point was not implying/expecting that this working group draft
the contract actual text. However, I think this WG is tasked with
indicating the expected features of the contract. The current IETF response
to ICG does/did not include any section implying that it expect that the
IPR on IANA be transferred from the current operator in this process.

Thanks.

Regards
wrote:
>> > I would note that both of the concerns listed are under consideration
by the IAOC. Also, the proposals from the other communities also include
mention of both items.
>> On a lighter note, it's interesting that to note that IETF who will
mostly be affected by those issues raised had to wait to be prompted by
other communities.

---

From: Dave Crocker <[email-masked]>
Date: Mon, 19 Jan 2015 13:21:33 -0800

> faulty premises.  I disagree with most of the message.

Since we all wish to be perceived as fair and diligent and thorough,
it's tempting to want to take Richard's note to ICANN and respond to its
substance.

However the approach he's taken is to complain about the IETF to another
body.

And:

     1.  The IETF followed its processes.  The submission to ICANN has
official IETF authorization.

     2.  Any objections to that process needed to be pursued within the
IETF's extensive dispute resolution processes.

     3.  Richard was an active participant in the IETF process.

We cannot prevent Richard from taking his dissatisfaction with the
IETF's performance to ICANN, but we can choose how we respond.

One choice I strongly recommend is to ignore his process complaints
completely.  Responding to them gives them credence.

As for the rest, and as with all problematic criticism about the IETF, I
also suggest waiting for some indication that the criticisms have gained
traction with others.  Again, the more we respond to bogus complaints,
the more credence we lend them.

d/
-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net

---

From: Miles Fidelman <[email-masked]>
Date: Mon, 19 Jan 2015 16:38:39 -0500

> IETF's performance to ICANN, but we can choose how we respond.

In all fairness, IETF responded to an RFP that had specific requirements 
as to both content and process.  If the content and/or process are 
flawed, it is perfectly reasonable to protest.  It's not pretty, but it 
is legitimate.  (I'm sure I'm not the only one here who has been on one 
side or another of a bid protest.)

Miles Fidelman

-- 
In theory, there is no difference between theory and practice.
In practice, there is.   .... Yogi Berra

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 20 Jan 2015 11:37:49 +1300

Hi,

I'm "senior" enough to have known Richard Hill for many years, but I believe
this is the first time he's participated extensively in an IETF WG, so it's
understandable that he found the rough consensus process a little surprising.
Another thing that long-term IETFers tend to take for granted is a preference
for saying nothing about a topic when it's considered out of scope for the WG.
In this case it was clear that the issues he's concerned about are valid, but
out of scope for the WG (and in scope for the IAOC and the IETF Trust, but
later on, not now). I think this was very explicit in the discussion, was not
necessary to state in detail in the text, and was well understood in the
IESG's review and approval process.

Regards
  Brian Carpenter

---

From: "Martin J. Dürst" <[email-masked]>
Date: Tue, 20 Jan 2015 11:40:59 +0900

John - Thanks for this detailed writeup! I hope Richard will read and 
understand it.

I'd also like to note that the only thing Richard does, in his own 
words, is "highlighting ... concerns".

Regards,   Martin.

---

From: Bernard Aboba <[email-masked]>
Date: Mon, 19 Jan 2015 18:59:48 -0800

Seun said:

"I believe my point was not implying/expecting that this working group
draft the contract actual text. However, I think this WG is tasked with
indicating the expected features of the contract. The current IETF response
to ICG does/did not include any section implying that it expect that the
IPR on IANA be transferred from the current operator in this process."

[BA] The IANAPLAN WG was never conceived of as a substitute for legal
counsel, nor was any legal advice solicited from it.  For example, the
IANAPLAN WG was not asked to opine on the legal enforceability of the
IETF-ICANN MOU; there was only a discussion of the potential cost and time
of attempting to re-negotiate it (and I believe consensus not to go there).

RFC 6220 indicates clearly that the IAOC is responsible for negotiation of
the contract with the IANA Protocol Parameter operator.  That includes
contracting with legal counsel and working with counsel to understand the
legal issues and potential solutions.  The IANAPLAN WG, in providing a set
of minimum requirements as well as preferences for that activity, is
essentially providing a "problem statement" to the IAOC.   This is very
valuable to prevent scope (and cost) creep within the legal engagement.
Those who have regularly worked with lawyers know that such a "problem
statement" can be worth its weight in gold.

However, if the IAOC working with counsel finds additional concerns that
need to be addressed, or if other issues arise in the context of ICG
discussion, they are free to address them.

On Mon, Jan 19, 2015 at 12:52 PM, Seun Ojedeji <[email-masked]>
wrote:

> I believe my point was not implying/expecting that this working group
> draft the contract actual text. However, I think this WG is tasked with

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 19 Jan 2015 23:25:15 -0500

The note wasn't to ICANN. Alissa told us that the CWG received it.  I wasn't trying to respond to him here.  I was noting why the complaint he made to the CWG wasn't in my view a reasonable complaint.  Since the CWG is the recipient of our work product, it seemed to me that a response was in order.  

Best regards,

A

-- 
Andrew Sullivan 
Please excuse my clumbsy thums. 

>> On Jan 19, 2015, at 16:21, Dave Crocker <[email-masked]> wrote:
>>

---

From: Milton L Mueller <[email-masked]>
Date: Tue, 20 Jan 2015 04:43:33 +0000

Andrew: 
You're confusing the ICG (IANA Stewardship Coordination Group) with the names CWG (Cross-community Working Group). Alissa is the chair of the ICG, not the CWG, and the message was sent to the ICG not to the CWG.  

--MM

> -----Original Message-----
> From: Ianaplan [mailto:[email-masked]] On Behalf Of Andrew
> Sullivan
> Sent: Monday, January 19, 2015 11:25 PM
> To: [email-masked]
> Cc: [email-masked]
> The note wasn't to ICANN. Alissa told us that the CWG received it.  I wasn't
> trying to respond to him here.  I was noting why the complaint he made to
> the CWG wasn't in my view a reasonable complaint.  Since the CWG is the
> recipient of our work product, it seemed to me that a response was in order.
> 
> Best regards,
> 
> A
> 
> --
> Andrew Sullivan
> > it's tempting to want to take Richard's note to ICANN and respond to
> > its substance.
> >
> > However the approach he's taken is to complain about the IETF to
> > another body.
> >
> > And:
> >
> > As for the rest, and as with all problematic criticism about the IETF,
> > I also suggest waiting for some indication that the criticisms have
> > gained traction with others.  Again, the more we respond to bogus
> > complaints, the more credence we lend them.
> >
> > d/
> > --
> > Dave Crocker

---

From: Seun Ojedeji <[email-masked]>
Date: Tue, 20 Jan 2015 06:41:03 +0100

Hi Bernard,

I think you are missing my point which is not about this WG doing the legal
stuff as it generally makes sense for that not to be within IANAPLAN scope.
I will make a last try; my point was that indicating the principles that
the contract text should address(ref: RFP question III) is within scope of
this WG. So in addressing the request from Alissa, I expected a response in
the line of "....this WG achieved "rough" consensus not to include IPR
related issues about IANA in it's proposal response to ICG....however
beyond the IETF proposal, the IAOC is considering the IPR request proposed
by the numbers community"

Secondly I am not talking about determining if MOU weighs more than
contract because the nonlegal me believes what makes it legal or not is in
the content (a view I had shared within the numbers community but observe
there was more consensus towards using the word "contract", again that did
not make me fault the entire process as the exercise produced great outcome)

Regards

sent from Google nexus 4
kindly excuse brevity and typos.
On 20 Jan 2015 04:00, "Bernard Aboba" <[email-masked]> wrote:

>> ... yes and transfer of IPR was not recognised to be on this WG list
>> until it got triggered by an external community. On another note, your
>> message above seem to imply that this WG is not tasked with preparing a
>> response to the ICG and also that the IAOC could introduce other elements
>> that did not achieve consensus within this WG. I hope I am wrong about that?
>>
>> > It is important not to confuse the "requirements" drafted by IANAPLAN
>> WG with the actual legal and contractual arrangements under development by
>> the IAOC.
>> >
>>
>> >> > I would note that both of the concerns listed are under
>> consideration by the IAOC. Also, the proposals from the other communities
>> also include mention of both items.
>> >> >
>> >> >> After draft-ietf-ianaplan-icg-response was submitted to the ICG,
>> the ICG received the following comment:

---

From: Andrew Sullivan <[email-masked]>
Date: Tue, 20 Jan 2015 06:12:22 -0500

I'm sorry. You're quite right that I meant ICG not CWG.  (Indeed, the reason "CWG" appeared at all was because when I first typed the message, I said "ICG and not CWG", then to make it shorter I went back and removed that and replaced the wrong initials. What a dope.)

A

> On Jan 19, 2015, at 23:43, Milton L Mueller <[email-masked]> wrote:
> 
> Andrew:

---

From: John C Klensin <[email-masked]>
Date: Wed, 21 Jan 2015 10:29:53 -0500

--On Monday, January 19, 2015 18:59 -0800 Bernard Aboba
<[email-masked]> wrote:

>...
> However, if the IAOC working with counsel finds additional
> concerns that need to be addressed, or if other issues arise
> in the context of ICG discussion, they are free to address
> them.

They are, however, accountable to the IETF community about the
existence of those requirements/ concerns.  Going back to my
earlier summary and comments, there is a difference between the
IETF Trust being asked by some collection of outside parties to
add an additional domain name or trademark to the IPR that they
are holding and the IAOC concluding that demanding or trying to
negotiate for that name is part of "a concern that needs to be
addressed".

At least IMO, the former is clearly within the authority of the
IETF Trust even though they have set the precedent of asking the
community for comment before they release trademarks.    By
contrast, if the IAOC came to the conclusion that they needed
control of a domain name or more legal authority (and presumably
obligations) than they have needed before, I'd expect them to
explain that to the community and seek approval, especially
given the earlier discussions in this WG that I summarized a few
days ago.   

Again IMO, none of this has anything to do with Richard's
complaint.  The issue there seems to be very simply a situation
in which he asked for some things, couldn't persuade the WG that
they were important, and is now trying to turn his
dissatisfaction with that outcome into a process complaint.

    john

---

From: Jefsey <[email-masked]>
Date: Wed, 21 Jan 2015 19:05:56 +0100

>dissatisfaction with that outcome into a process complaint.

Dear John,

I am afraid that you do not grasp the stakes. This is only a question
of trust in you, Bernard, Russ, Brian, Jari, Vint, Andrew, Dave,
Steve, Miles, etc.: the concerned IETF leaders.

Until now, we trusted you to keep the TCP/IP consistent with all the
RFCs, along the RFC 3935 core values, and we wished for you to
continue.

However,
1) this draft declines this trust.
2) Jari published that you yourselves entrust your own decisions in
the NTIA, making you the leaders of a USIETF.

Richard asked you to document the reasons for your position; if he
still is not statisfied he will appeal the IESG decision.

I will appeal because I accept your (you = collective leadership)
reasons but I need you to correct your new lack of clarity.

1) this is your IETF and it decides what it wants as per its RFC 2026
procedures that have been respected as they will respect my appeal
once an RFC will have been allocated. As Brian has shown it: this is
not a leadership decision but a rough consensus to adopt the position
proposed by your leadership. Alles klar.

2) You have already documented these reasons in RFC 6852: the IETF is
no longer the unique authoritative source for the internet technology,
its innovation is led by the economy, and the internet technology is
no longer the only technology being used on the catenet.

3) I have appealed RFC 6852 because it does not say who replaces the
IAB as the ultimate referent, both in technology choices and in a
global community markets economic reading. Now, Jari Arkko has
answered me: the NTIA.

---

As a catenet co-owner (one among billions of omnistakeholders):

1) We trust you. Even when you say you are not in a position anymore
to assume the responsibility that we trusted you would trustingly assume.
2) We do not trust the NTIA as your replacement.

Where does that lead us non-US citizen users?

Like billions of people, I own interconnected processors. On those
processors, I load FLOSS software that permits me to use the catenet
that these processors of mine cooperatively form with these billions
of other people's systems. I am not dogmatic about any standard: I
just want this FLOSS software to best work to support my needs in
relating with the other people's systems through our common catenet.

For 40 years, people (me included) have tried to make money with this
need of ours. This was mainly because they had to pay for the catenet
substructure, selling us the concatenation of our systems with theirs
and those of others, using telephone lines we partly already paid for
with our taxes. Their proof of concept is completed, and we now can
also locally connect our various home appliances for free, and
cooperate with our neighbors through our Wi-Fi based catenet
non-profit local cooperatives.

Our priority now is to pay less and to get more, as a return on all
the money and intelligence we have invested and continue to invest
into all of this. Our only question is: (now  we cannot trust you
anymore) how do we best achieve that it at least neutrally, surely,
and securely work?

* We do not like ICANN and its TLD mafia that costs us a lot of money
   and prevents us from using the names we wish as we wish it.
* we do not like the RIRs that cost us a lot of money for addresses
   that we already have (everyone has a telephone number).
* we do not like TCP/IP that brings us SPAM and the NSA,
* we will have to competitively (as per RFC 6852) check your IETF
   propositions as being adequate to our needs or to your deciders' needs.

---

Therefore, being now clearly by ourselves:

1. the first thing we need is to get rid of ICANN and the NSA.

2. then, a no-SPAM technology architecture.

3. then, a universally consistent free and sensible numbering scheme.

4. then, a TCP/IP stack improvement or a trustable technology
     replacement (cf. IAB's call for that).

5. then, cheaper, safer, and easier:

5.1. file transport (NDN),
5.2. meaning inter-comprehension support (intersem),
5.3. cloud distributed processing (SDN),
5.4. inter-application on an ASAP (AS A Protocol) basis,
5.4. on a global and local catenet network multitechnology
5.4.1. we can consistently supervise from our own Intelligent Use
           Interface system
5.4.2. as our sure, secure, transparent, resilient, etc. VGN (virtual
          glocal network).

6. then to cooperatively develop, test, and document how to make the
     other catenet users' systems address our common needs : we will call
     the Libre solution Netix. It will embed:
6.1. a security/multilinguistic/format/intelligence etc. OSI layer six+
6.2. a set of traffic adapted middle layer innovative technologies (as
        a result of global communities' market economies as documented by
        RFC 6852).

7. then a multitechnology IANA extension to jointly support the
     related names, numbers, and parameters, and use documentation of
     reference.

That is to say, Vint Cerf's IEN 48, 1978 objective a- nd what I managed
and sold as a public international service 30 years ago (but to
thousands fewer users).

----

We already have:
1. many Libre tools to build this Netix solution.
2. ITU and many others have provided and will provide OSI layer six+
     documentation, and libraries.
3. at the IETF you have stabilized a widely used middle layer technology
4. you have also documented some level seven services that we may
     share, improve, and consistently extend among new technologies (such
     as OPES and DDDS).

What we need is to make sure:

1. our multitechnology Intelligent Use Interface (IUI) includes the
necessary routines,
2. we keep their documentation up to date,
3. we cooperatively consider how to improve them.

----

The problem is the coexistence between you and us, and the transition.

1. We would have loved the IETF people to continue to act as a unique
     authoritative referent through their http://iana.arpa source, and as a
     result keep controlling the ICANN technical fancies in the DNS "IN"
     CLASS.

2. Now, however, you have formally decided that

2.1. the NTIA is to decide for you because you cannot be the only
        ICANN responsible accountability referent after the NTIA departure
2.2. you are not interested in making sure that the IETF technology
        stays compatible with other network technologies like ours.
2.2.1.  we have to collectively assume the job - at least among us.
2.2.1.  we will keep relating with you as the US industry global
            community technical referent.

Our Catenet cooperative corporation will implement a Libre repository
for all the technologies that the catenet will support. The best way
to keep this multiple source consistent would be to document an IANA
protocol. This could be best carried out within the OpenStand
framework, along the RFC 6852 principles.

----

All of this may create some confusion if this is not clear for all
that this is what you want the NTIA to organize, and we prefer to
organize on our own for those interested from the Libre community.

In addition, some people may want the IAB to continue,
* assuming its unique authoritative referent role for the
"mono-internet+catenet" technology that they use
* technically balance the ICANN/Rosetta/WEF economic weight.

This is why I will have to appeal this WG's RFC once it is published.

This will make the IESG, IAB, and ISOC officially and formally clarify
things, for them; telling the world that the IAB http://iana.arpa is
only to be the source of reference for the IETF brand among RFC 6852
various internet technology lines of economically competitive innovations.

jfc

---

From: Alissa Cooper <[email-masked]>
Date: Wed, 21 Jan 2015 14:59:39 -0800

There have been some follow-up messages:

http://forum.icann.org/lists/icg-forum/index.html

---

From: John Curran <[email-masked]>
Date: Wed, 21 Jan 2015 13:21:50 -1000

Noted - I do not plan on following up, as the ICG group is a large and diverse 
group of intelligent folks; i.e. more than capable of exploring the merits of the 
stated positions on their own.

Best,
/John

On Jan 21, 2015, at 12:59 PM, Alissa Cooper <[email-masked]> wrote:
> http://forum.icann.org/lists/icg-forum/index.html <http://forum.icann.org/lists/icg-forum/index.html>
> 
> 
> On Jan 19, 2015, at 6:33 AM, Alissa Cooper <[email-masked] <mailto:[email-masked]>> wrote:
> 
>> After draft-ietf-ianaplan-icg-response was submitted to the ICG, the ICG received the following comment: http://forum.icann.org/lists/icg-forum/msg00017.html <http://forum.icann.org/lists/icg-forum/msg00017.html>_______________________________________________
>> Ianaplan mailing list
>> [email-masked] <mailto:[email-masked]>

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 22 Jan 2015 18:59:46 +1300

Alissa,

It would be very tedious to have to repeat on the icg forum all the
explanations of how Richard's concern misunderstands the IETF rough
consensus process and ignores this WG's conscious preference not
to address hypothetical future legal issues when we already have IETF
organs chartered to do so. Can we assume the ICG members can see these
explanations without their being repeated?

Regards
   Brian Carpenter

---

From: John Curran <[email-masked]>
Date: Wed, 21 Jan 2015 20:22:33 -1000

> explanations without their being repeated?

That's an excellent question, but even if the stated answer were "yes"
I'm not certain its reasonable to rely (or expect) each member of the 
ICG to review the discussion in this portion of the community in order 
to obtain a thorough understanding of the arguments contrary to Richard's
assertions of process issues... hence, my posting of a brief assessment 
as I see it, and leads me also to believe that a statement from a more 
authoritative party (e.g. the WG chairs, IESG, or the IAB) highlighting 
the main arguments might be prudent.  There's no doubt that preparation 
of such would be tedious, and hence the effort required to do so should 
be weighed against the IETF's view of the importance of the task at hand.

/John

Disclaimer: my views alone.

---

From: Bernard Aboba <[email-masked]>
Date: Thu, 22 Jan 2015 09:23:22 -0800

John Curran said:

"That's an excellent question, but even if the stated answer were "yes"
I'm not certain its reasonable to rely (or expect) each member of the
ICG to review the discussion in this portion of the community in order
to obtain a thorough understanding of the arguments contrary to Richard's
assertions of process issues... "

[BA] A summary of process from authoritative parties might be useful.  But
it would also be useful to point out that we are talking about process
concerns relating to requirements for legal work that hasn't yet been
completed by an organization (the IAOC) distinct from the IANAPLAN WG.
Until the legal work has been done and there are proposed contractual
arrangements to analyze, we are talking about process objections to
requirements for arrangements that do not yet exist, within a WG that was
not chartered to handle the legal work.

---

From: Miles Fidelman <[email-masked]>
Date: Thu, 22 Jan 2015 12:41:04 -0500

Bernard Aboba wrote:
> [BA] A summary of process from authoritative parties might be useful.  
> But it would also be useful to point out that we are talking about 
> process concerns relating to requirements for legal work that hasn't 
> yet been completed by an organization (the IAOC) distinct from the 
> IANAPLAN WG.  Until the legal work has been done and there are 
> proposed contractual arrangements to analyze, we are talking about 
> process objections to requirements for arrangements that do not yet 
> exist, within a WG that was not chartered to handle the legal work.

Which, I might point out, is a significant process problem that I've had 
from the start.  The charter of the WG was incomplete, and a good part 
of the IETF response was handled by other than a transparent and open 
process.  The IETF response was simply not responsive to what the ICG 
asked for (IMHO).  And that remains a problem.

Miles Fidelman

---

From: Seun Ojedeji <[email-masked]>
Date: Thu, 22 Jan 2015 19:05:52 +0100

sent from Google nexus 4
> [BA] A summary of process from authoritative parties might be useful.
But it would also be useful to point out that we are talking about process
concerns relating to requirements for legal work that hasn't yet been
completed by an organization (the IAOC) distinct from the IANAPLAN WG.
Just to be clear using a scenario; the recently submitted numbers proposal
coordinated by the CRISP team included requirements/principle that their
agreement (contract/mou) should reflect. However the community/CRISP also
recognised that it's not it's role to draft the actual text of the contract
but that of the legal team.

>From your statement above, you seem to be implying that the IANAPLAN WG
cannot even act in a manner similar to CRISP in this context. If that is
the case then it may make adequate sense to appreciate that the working
group charter may indeed be missing a few lines as it defeat the purpose of
organising a community process if the community developed proposal can be
overruled by a few set of people (IAOC).

Looks like you are implying that IAOC is actually doing a legal analysis of
the current WG proposal and will get back for to this WG for
recommendation. If that is the case then I think that is fair enough.

Thanks

---

From: Alissa Cooper <[email-masked]>
Date: Thu, 22 Jan 2015 10:31:22 -0800

Hi Brian,

> explanations without their being repeated?

First, the reason why I forward the ICG comments to this list is because the ICG has said that it will forward comments received to the appropriate operational community. It’s a transparency thing. No one on this list is obligated to respond in any way if they don’t want to.

Second, the ICG is aware of this mailing list and of course the archives are public. We also have a number of ICG members who are familiar with the IETF and IANAPLAN. So I think it’s safe to assume that if/when the ICG discusses this issue, they will have access to the prior context and discussions.

Alissa

---

From: Avri Doria <[email-masked]>
Date: Sat, 24 Jan 2015 12:14:45 -0500

Hi,

Early in the IETF process, it was indeed an issue that was discussed and
identified as out of scope for the WG.  I was one of those arguing that
it needed to be considered.  I have never been comfortable with
so-called nuclear options being the first line of known defense.

As a well trained follower of process, I desisted from arguing my
concerns, which in this case paralleled those of others.

Do I understand correctly  Bernard's answer to say that the IETF
submission to the ICG is somehow  incomplete until there is such as
authoritative answer from the IAOC on how the issue would be handled. 
Such an understanding surprised me as I had not thought of it before,
but it does not seem unreasonable.  Off course I may be misunderstanding
what was said.

I know that in the Names community work, gaining an understanding of the
legal environment and the way of actually dealing with the legal points
of appeals and possible future decisions to remove the function from
ICANN  before the crisis point, is a gating concern and part of the
reason are still working on developing our response - we need legal
advice before we can complete our work.  But in that case there is no
doubt that the legal aspects are in scope for the Cross community WG.

Perhaps once the Names community has completed its work, and I hope it
is real soon, there will be some clue that can be used on legal
arrangements and appeals mechanisms by the other communities, upon
recommendation from the ICG.

As for whether ICG experts should be expected to understand the
intricacies of the arrangements supplied by the 3 communities, I am sure
that each group having picked its finest, they are certainly capable of
doing so,  And I beleive that as a group coordinating the puzzle of the
partial responses from all communities they need to do so to figure out
how to fit the 3 answers (once the have the 3) into a consistent
response for NTIA.

Tough job, I wish them well.

avri

On 22-Jan-15 12:41, Miles Fidelman wrote:
>> [BA] A summary of process from authoritative parties might be
>> useful.  But it would also be useful to point out that we are talking
>> about process concerns relating to requirements for legal work that
>> hasn't yet been completed by an organization (the IAOC) distinct from
>> the IANAPLAN WG.  Until the legal work has been done and there are
> Which, I might point out, is a significant process problem that I've
> had from the start.  The charter of the WG was incomplete, and a good
> part of the IETF response was handled by other than a transparent and
> open process.  The IETF response was simply not responsive to what the
> ICG asked for (IMHO).  And that remains a problem.
>
> Miles Fidelman
>

---

From: John Curran <[email-masked]>
Date: Sat, 24 Jan 2015 17:22:13 -0500

On Jan 24, 2015, at 12:14 PM, Avri Doria <[email-masked]> wrote:
> ...
> I know that in the Names community work, gaining an understanding of the legal environment and the way of actually dealing with the legal points of appeals and possible future decisions to remove the function from ICANN  before the crisis point, is a gating concern and part of the reason are still working on developing our response - we need legal advice before we can complete our work.  But in that case there is no doubt that the legal aspects are in scope for the Cross community WG.
> 
> Perhaps once the Names community has completed its work, and I hope it is real soon, there will be some clue that can be used on legal arrangements and appeals mechanisms by the other communities, upon recommendation from the ICG.

Please explain the above…  it almost appears that you are suggesting 
that the ICG would make some form of recommendation with respect to 
various legal implementation aspects (e.g. arbitration rules and location)

> As for whether ICG experts should be expected to understand the intricacies of the arrangements supplied by the 3 communities, I am sure that each group having picked its finest, they are certainly capable of doing so,  And I beleive that as a group coordinating the puzzle of the partial responses from all communities they need to do so to figure out how to fit the 3 answers (once the have the 3) into a consistent response for NTIA.

The ICG needs to make sure that the integrated proposal meets the NTIA
criteria.   The ICG charter does not include any form of proposal development 
work; if there are problems with the component proposals, then the ICG is to 
communicate that back to the relevant communities so that the communities
can address the issues.  

This is particularly important when if comes to contractual matters, since it
might easily be the case the optimum structure for the IETF/IAB to contract
for IANA protocol parameter services might truly be different than the optimum 
structure for the RIR community to contract for IANA services for the various
central number registries, or the names community to contract, etc.  There is 
no requirement these contractual structures be the same, only that the specific 
arrangements do not preclude assembly of a single combined proposal.

/John

---

From: Avri Doria <[email-masked]>
Date: Sat, 24 Jan 2015 17:58:27 -0500

Hi,

> various legal implementation aspects (e.g. arbitration rules and location)

Not quite.

What I am saying is that when they look at the proposals, the comments
and what all, they may decide there is a issue that needs to be dealt with.

And if they do, following my understanding of their process, they will
ask questions of the 3 communities.
> communicate that back to the relevant communities so that the communities

exactly.

> arrangements do not preclude assembly of a single combined proposal.

Agreed, no requirement.
Perhaps an opportunity.

avri

---

From: Olivier MJ Crepin-Leblond <[email-masked]>
Date: Sun, 25 Jan 2015 01:15:45 +0100

On 24/01/2015 18:14, Avri Doria wrote:
> intricacies of the arrangements supplied by the 3 communities, I am
> sure that each group having picked its finest, they are certainly
> capable of doing so,  And I beleive that as a group coordinating the
> puzzle of the partial responses from all communities they need to do
> so to figure out how to fit the 3 answers (once the have the 3) into a
> consistent response for NTIA.

One option will, of course, once the three plans are sent to the ICG,
for the ICG to ask the different operational communities if they wish to
align some parts of their proposals so as for them to be compatible. I
believe it would be the job of the ICG to identify the component parts,
but not their job to perform the amendments and alignment.
Kindest regards,

Olivier

---

From: Andrew Sullivan <[email-masked]>
Date: Sun, 25 Jan 2015 15:18:43 -0500

> authoritative answer from the IAOC on how the issue would be handled. 

I don't know whether that's what Bernard intended, but it's not what I
understood him to mean; neither do I think it consistent with the
output if IANAPLAN.

The IAOC's job is to implement the legal arrangements for the IETF.
The IETF has spoken: it's satisfied with the existing state of
affairs, and wants the IAOC to implement that.  Moreover, the IETF in
my reading said that we do not need more legal framework than exists
at present, though it is possible that the terms that are currently
included in the IETF's legal arrangements by reference will need to be
called out explicitly.  That seems like a mere matter of transcription
to me.

Any suggestion that there is ambiguity in what the IETF decided, or
that there are details that would have material effect but that are
still to work out, is I think quite at odds with the IANAPLAN and IETF
declared consensus.  It follows from this, of course, that if the IAOC
were _unable_ to arrange for such a contract, we'd be in very deep
water.  But since both ICANN and the IETF have repeatedly stated their
comfort with the way things are, and since the way things are just
includes a bunch of terms that need to move around because of the
departure of one actor from the scene, it seems to me that we'd have a
relatively low risk that such terms are not forthcoming.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 26 Jan 2015 10:58:33 +1300

> relatively low risk that such terms are not forthcoming.

I think that's spot on, and to me it's quite clear in the IETF document
that the rough consensus was not to delve into these matters at this
time (see the paragraph starting "Over the course of the development
of the document, several suggestions were raised that did not enjoy
sufficient support to be included"). All the IESG has done on this
matter is to agree with the WG Chairs' judgment of rough consensus.
That is standard IETF process.

      Brian

---

From: Milton L Mueller <[email-masked]>
Date: Sun, 25 Jan 2015 23:50:13 +0000

> The IETF has spoken: it's satisfied with the existing state of affairs, and wants
> the IAOC to implement that.  Moreover, the IETF in my reading said that we

How does one "implement" an "existing state of affairs?" If it is existing, it does not need implementation; if it needs implementation it is not quite the existing state of affairs yet. 

The IANAPLAN draft said: 

"No new organizations or structures are required. ... However in the absence of the NTIA contract a few new arrangements may be needed in order to ensure the IETF community's expectations are met." 

I would hope that the official shepherd of the document would be able to represent its contents accurately. No more 'spin', please.

---

From: Andrew Sullivan <[email-masked]>
Date: Sun, 25 Jan 2015 21:48:13 -0500

> How does one "implement" an "existing state of affairs?" If it is existing, it does not need implementation; if it needs implementation it is not quite the existing state of affairs yet. 

I suppose it was not the most elegant way of putting it.  I was trying
to be succinct because it seemed to me that we were in peril of
revisiting a number of closed topics.  But, since you ask,

> "No new organizations or structures are required. ... However in the absence of the NTIA contract a few new arrangements may be needed in order to ensure the IETF community's expectations are met." 

this is how.  That is, we need no new organizations or structures.  I
think the WG was crystal clear that it is happy with the existing way
things work (hence "existing state of affairs").  What is changing is
that someone is leaving, and the actual current arrangements implicate
the departing party by reference.  So, IAOC needs to conclude a new
agreement that captures that moves the bits that implicate that
departing party into the agreement between IANA and IETF.

The IAOC of course has degrees of freedom to do that, but it must do
_that_.  Avri's interpretation of Bernard appeared to be suggesting
that the IAOC was in effect "finishing" the IETF's position, but it
isn't.  It's just implementing it.  The IAOC is not free to make any
substantive change to the way things work.  These are the "few new
arrangements" that may be needed.

I don't think there's anything remotely "spinny" about that
interpretation.  I can't even see how it could be controversial.

Regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Miles Fidelman <[email-masked]>
Date: Sun, 25 Jan 2015 21:51:55 -0500

> departing party into the agreement between IANA and IETF.

No... that's not crystal clear.  What's crystal clear is that the WG 
leadership, and a majority of participants, felt that it was beyond its 
charter to comment on legal and contractual issues, and didn't want to 
get into them.

Miles Fidelman

---

From: Andrew Sullivan <[email-masked]>
Date: Sun, 25 Jan 2015 22:09:45 -0500

On Sun, Jan 25, 2015 at 09:51:55PM -0500, Miles Fidelman wrote:
> charter to comment on legal and contractual issues, and didn't want to get
> into them.

I guess we disagree about this.  I will say, however, that the idea
that a WG could negotiate a contract seems to me a little optimistic.
As I understand it, that very difficulty is the reason the IETF came
up with the IAOC in the first place.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Miles Fidelman <[email-masked]>
Date: Sun, 25 Jan 2015 22:28:54 -0500

> up with the IAOC in the first place.
Well, on that later note, all I can say is that every time I get 
involved in a proposal effort, lots of people review the terms and 
conditions section, and provide input to council - we don't treat it as 
out-of-scope.

Cheers,

Miles

---

From: Andrew Sullivan <[email-masked]>
Date: Sun, 25 Jan 2015 22:41:54 -0500

On Sun, Jan 25, 2015 at 10:28:54PM -0500, Miles Fidelman wrote:
> Well, on that later note, all I can say is that every time I get involved in
> a proposal effort, lots of people review the terms and conditions section,
> and provide input to council - we don't treat it as out-of-scope.

Do I read you correctly as suggesting that the IAOC needs input on
terms when it makes agreements?  If so, I think that is sort of right,
and sort of not.

The IAOC is not one person, of course, so to begin with we already
have a group of people who are reviewing one another's work.  Those
people are appointed in different ways, so that it's not even one
point of view that arranges the appointment.

Second, the IAOC works on instruction from the IETF.  If the IAOC came
back with some agreement that was contrary to IETF consensus, there'd
be a big to-do.  And the chair of the IETF sits on the IAOC _ex
officio_, which means that the interests of IETF consensus are
formally inside the room.

Third, the IAOC is exquisitely sensitive to these sorts of issues.  I
seem to recall the IAOC asking specifically some questions around a
knotty decision they had to make, involving some
cost-vs.-participation trade-offs.  It doesn't happen often -- you
really can't practically negotiate a contract with one party arriving
with 1200 of their closest friends -- but I think the IAOC tries
rather hard to strike the right balance (and when they mess up, boy do
they hear about it).

This is the way the IETF does it.  It's of course not perfect, and I
can see ways in which, were one inclined to think that processes can
be written to ensure nothing bad can happen, one would want to alter
the approach we're using.  I happen not to believe in processes to
that degree, and prefer an arrangement in which the community review
of results (coupled with the logical possibility of recall) sends
adequate feedback to a body of people who have in the past shown
themselves to use sound judgement.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 26 Jan 2015 17:37:53 +1300

On 26/01/2015 16:28, Miles Fidelman wrote:
> Well, on that later note, all I can say is that every time I get involved in a proposal effort, lots of people review the terms
> and conditions section, and provide input to council - we don't treat it as out-of-scope.

What Andrew said. Also, when the original IETF/ICANN MoU was negotiated, the
first draft (which said what *we* wanted) was developed mainly as an IAB effort
with IESG involvement, and debated in the POISSON WG (the venue for IETF
process discussions at that time). But the legal details were negotiated
between the IAB & IETF Chairs (me and Fred Baker) with advice from our counsel
and the ICANN President with advice from his counsel. Today, we have the
IAOC and its counsel for our side of that negotiation. Otherwise, there's
really no difference; the IAOC is answerable to the IETF, just as the
IAB & IETF Chairs were 15 years ago. We trust them to come back to the
community if points of principle arise, but not for tweaks to legal language.

   Brian

---

From: Miles Fidelman <[email-masked]>
Date: Mon, 26 Jan 2015 08:43:03 -0500

> terms when it makes agreements?  If so, I think that is sort of right,

Well, yes.  I've yet to find a successful negotiation or contract 
execution where program management was not heavily involved in providing 
direction to the lawyers and contracts officers.

> formally inside the room.

And this is the big issue that Richard (if I might speak for him), 
myself, and several others had withe the process - the WG was not 
representing the IETF "community" in that its charter explicitly 
excluded policy, legal, contractual, and governance issues from its 
scope.  So those issues were not addressed by open, transparent, 
consensus process.

> themselves to use sound judgement.

"This is the way <we> do it" is a pretty good way to get proposals 
thrown at without reading.  It's also been the cause of an awful lot of 
failed systems, or worse, major losses on contracts when customers 
insist on "this is what you promised to deliver."

Regards,

Miles Fidelman

---

From: Miles Fidelman <[email-masked]>
Date: Mon, 26 Jan 2015 08:50:04 -0500

> community if points of principle arise, but not for tweaks to legal language.

"Answerable to the IETF" comes back to "who is the IETF" and "who 
represents the IETF."  Obviously a working group with explicitly limited 
scope does not represent the IETF-as-a-whole.

Miles

---

From: Stephen Farrell <[email-masked]>
Date: Mon, 26 Jan 2015 14:12:31 +0000

> scope does not represent the IETF-as-a-whole.

Either that is a total misunderstanding of how the IETF
operates or else I have no clue what you mean.

I also think that those who are claiming any process concern is
at all real appear to share similar such misunderstandings.

The WG was chartered. Chartering involves the IESG approving
the charter after it has gone to the entire community for
comment. And in many cases (incl. this) after a BoF and
mailing list discussion.

Anyone who cares to can participate in the working group. (But
they do not get the outcome that they wish for sometimes, as
we see here.)

The WG's output is subject to an IETF last call when anyone
from the community can again raise new issues or comment, and
after that resulting text is again subject to IESG approval.

That's all entirely normal and does mean that the results
of this work do represent the rough consensus of the IETF as
a whole.

Or more succinctly - I see no process concerns here at all.
I do see some folks who were in the rough posting yet again
on topics that were settled after lots and lots of email,
most of which was IMO unnecessary, the topics in question
having been fully dealt with numerous times. I see the same
pattern here.

Cheers,
S.

PS: I'm utterly mystified by talk about project proposal
preparation. That's as relevant as walking a dog - both
are something lots of us do but both are irrelevant here:-)

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 26 Jan 2015 09:28:14 -0500

On Mon, Jan 26, 2015 at 08:43:03AM -0500, Miles Fidelman wrote:
> and several others had withe the process - the WG was not representing the
> IETF "community" in that its charter explicitly excluded policy, legal,
> contractual, and governance issues from its scope.

The IETF community approved the charter in the first place.  If for
not other reason, I therefore think you are mistaken.  In any case, the
BoFs that we held on this topic repeatedly confirmed that there was no
policy issue, because we all agreed that the source of policy matters
on the relevant IANA registries was, is, and shall remain the IETF.
The legal and contractual issues at the IETF are delegated to the IAOC
and, where necessary, the Trust, and we have a mechansism for how we
manage that delegation.  I'm not sure what "governance issues" means
apart from all of that, so I can't respond to that.

> "This is the way <we> do it" is a pretty good way to get proposals thrown at
> without reading.

But the _entire point_ of the way the whole ICG process works is that
the affected communities were to use their regular processes to
generate their responses.  The IETF did that.  If you are arguing,
"The IETF operates wrong," that's fine; but it's irrelevant to the
question of whether the IETF developed a response in the appropriate
way.

I have to agree with what Stephen says elsewhere in this thread: it
seems that this is an attempt to re-open the WG's work.  I don't think
there's more to say.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Bernard Aboba <[email-masked]>
Date: Mon, 26 Jan 2015 07:49:13 -0800

Avri said:

"Do I understand correctly  Bernard's answer to say that the IETF
submission to the ICG is somehow  incomplete until there is such as
authoritative answer from the IAOC on how the issue would be handled.  Such
an understanding surprised me as I had not thought of it before, but it
does not seem unreasonable.  Off course I may be misunderstanding what was
said."

[BA] The IETF's submission represents a complete framework for transition
of the protocol parameters - but aspects of the legal arrangements remain
outstanding (as is the case for the RIR response, btw).  Given the modest
expectations set by the IANAPLAN WG, I don't find this particularly
worrisome - there should be more than enough time before the deadline for
the IAOC to get these issues dealt with.

Avri also said:

"I know that in the Names community work, gaining an understanding of the
legal environment and the way of actually dealing with the legal points of
appeals and possible future decisions to remove the function from ICANN
before the crisis point, is a gating concern and part of the reason are
still working on developing our response - we need legal advice before we
can complete our work."

[BA] The legal issues in the Names community are no doubt more substantial
than for either protocol parameters or addressing.

On Sat, Jan 24, 2015 at 9:14 AM, Avri Doria <[email-masked]> wrote:

> identified as out of scope for the WG.  I was one of those arguing that it
> needed to be considered.  I have never been comfortable with so-called
> nuclear options being the first line of known defense.
>
> authoritative answer from the IAOC on how the issue would be handled.  Such
> an understanding surprised me as I had not thought of it before, but it
> does not seem unreasonable.  Off course I may be misunderstanding what was
> said.
>
> legal environment and the way of actually dealing with the legal points of
> appeals and possible future decisions to remove the function from ICANN
> before the crisis point, is a gating concern and part of the reason are
> still working on developing our response - we need legal advice before we
> can complete our work.  But in that case there is no doubt that the legal
> aspects are in scope for the Cross community WG.
>
> Perhaps once the Names community has completed its work, and I hope it is
> real soon, there will be some clue that can be used on legal arrangements
> and appeals mechanisms by the other communities, upon recommendation from
> the ICG.
>
> partial responses from all communities they need to do so to figure out how
> to fit the 3 answers (once the have the 3) into a consistent response for
> NTIA.
>
> from the start.  The charter of the WG was incomplete, and a good part of
> the IETF response was handled by other than a transparent and open
> process.  The IETF response was simply not responsive to what the ICG asked
> for (IMHO).  And that remains a problem.
>
> Miles Fidelman
>
>
>

---

From: Bernard Aboba <[email-masked]>
Date: Mon, 26 Jan 2015 07:54:47 -0800

On Sun, Jan 25, 2015 at 10:28:54PM -0500, Miles Fidelman wrote:
> and provide input to council - we don't treat it as out-of-scope."

[BA]  The IAOC has its own processes, which provide for community comment.
So just because legal arrangements are out of scope for the IANAPLAN WG
does not mean that there is no provision for review and comment.

On Sun, Jan 25, 2015 at 7:41 PM, Andrew Sullivan <[email-masked]>
wrote:

> involved in

---

From: "Richard Hill" <[email-masked]>
Date: Mon, 26 Jan 2015 16:57:02 +0100

>----- Original Message ----- 
>From: Bernard Aboba
>To: [email-masked]
>Sent: Monday, January 26, 2015 4:54 PM

SNIP

>[BA]  The IAOC has its own processes, which provide for community comment.

Can you point us to those processes?

Thanks.

SNIP

---

From: Bernard Aboba <[email-masked]>
Date: Mon, 26 Jan 2015 08:06:26 -0800

Here are some of the documents that relate to the IAOC/IETF Trust:

http://tools.ietf.org/html/rfc4071
http://tools.ietf.org/html/rfc4371
http://tools.ietf.org/html/rfc6220

On Mon, Jan 26, 2015 at 7:57 AM, Richard Hill <[email-masked]> wrote:

>
>  ----- Original Message ----- From: Bernard Aboba
>> To: [email-masked]

---

From: "Richard Hill" <[email-masked]>
Date: Mon, 26 Jan 2015 17:12:16 +0100

Thank you.

Unless I misunderstand, according to 3.4 of RFC 4017, IAOC decisions are 
made by IAOC members. How will the global multi-stakeholder community te 
able to influence those decisions?

Best,
Richard

----- Original Message ----- 
From: Bernard Aboba
To: Richard Hill
Cc: [email-masked]
Sent: Monday, January 26, 2015 5:06 PM
Subject: Re: [Ianaplan] Process concern regarding the IETF proposal 
development process

----- Original Message ----- From: Bernard Aboba
To: [email-masked]
Sent: Monday, January 26, 2015 4:54 PM
Subject: Re: [Ianaplan] Process concern regarding the IETF proposal 
development process

SNIP

Thanks.

SNIP

---

From: Bernard Aboba <[email-masked]>
Date: Mon, 26 Jan 2015 08:16:36 -0800

Seun said:

"What i think is not clear about IETF proposal is that it already indicated
that it does not want to do anything about IPR, "

[BA] I believe that the IANAPLAN WG consensus was that transfer of the
IANA.org domain and associated trademarks was not a requirement for
protocol parameters.  I would not conclude from this that the IETF proposal
ignores IPR issues.  RFC 4371 deals explicitly with IPR issues (which are
the responsibility of the IETF Trust, not the IANAPLAN WG).

On Mon, Jan 26, 2015 at 7:59 AM, Seun Ojedeji <[email-masked]>
wrote:

> On Mon, Jan 26, 2015 at 4:49 PM, Bernard Aboba <[email-masked]>
> wrote:
>
>> Avri said:
>>
>> outstanding (as is the case for the RIR response, btw).
>>
>
>
> Just to clarify, what is outstanding for RIR is the actual legal text, the
> RIR already indicated the features that the legal team should develop their
> content around. It also specified the IPR requirements (III.A.2)
>
>
> https://www.nro.net/wp-content/uploads/ICG-RFP-Number-Resource-Proposal.html
>
> What i think is not clear about IETF proposal is that it already indicated
> that it does not want to do anything about IPR, yet you seem to imply that
> the IAOC would indeed consider if it should (Which i think is not inline
> with what the proposal said)
>
> Regards
>
>
>
>> Given the modest expectations set by the IANAPLAN WG, I don't find this
>> particularly worrisome - there should be more than enough time before the
>> deadline for the IAOC to get these issues dealt with.
>>
>> Avri also said:
>>
>> "I know that in the Names community work, gaining an understanding of
>> the legal environment and the way of actually dealing with the legal points
>> of appeals and possible future decisions to remove the function from ICANN
>> [BA] The legal issues in the Names community are no doubt more
>> substantial than for either protocol parameters or addressing.
>>
> *Seun Ojedeji,Federal University Oye-Ekitiweb:
> http://www.fuoye.edu.ng <http://www.fuoye.edu.ng> Mobile: +2348035233535**alt
> email: <http://goog_1872880453>[email-masked]

---

From: Miles Fidelman <[email-masked]>
Date: Mon, 26 Jan 2015 11:55:27 -0500

> Can you point us to those processes?

Likewise.  And I'll note that I asked this precise question, multiple 
times, during preparation of the WG response, and got no substantive 
answer in response.

Miles Fidelman

---

From: Miles Fidelman <[email-masked]>
Date: Mon, 26 Jan 2015 12:02:10 -0500

> http://tools.ietf.org/html/rfc4071

Which states:
"Responsibility for the evaluation, review, and negotiation of contracts 
and other IETF administrative and support agreements and other 
expenditures of funds under the IASA shall rest with the IAD, operating 
in accordance with policies and procedures set by the IAOC and 
consistent with ISOC operating policies."
and
"The IAOC decides the details about its decision-making rules, including 
its rules for quorum, conflict of interest, and breaking of ties. These 
rules shall be made public."

So.. where are those rules, and, as Richard asks separately, "How will 
the global multi-stakeholder community be able to influence those 
decisions?"

---

From: Russ Housley <[email-masked]>
Date: Mon, 26 Jan 2015 12:03:56 -0500

> Likewise.  And I'll note that I asked this precise question, multiple times, during preparation of the WG response, and got no substantive answer in response.

Please see https://iaoc.ietf.org/policy-procedures.html

Russ

---

From: Miles Fidelman <[email-masked]>
Date: Mon, 26 Jan 2015 12:04:38 -0500

Bernard Aboba wrote:
> Seun said:
>
> "What i think is not clear about IETF proposal is that it already 
> indicated that it does not want to do anything about IPR,"
>
> protocol parameters.  I would not conclude from this that the IETF 
> proposal ignores IPR issues. RFC 4371 deals explicitly with IPR issues 
> (which are the responsibility of the IETF Trust, not the IANAPLAN WG).

Actually, as I recall, the consensus was that there were alternatives 
and that the issues were largely out-of-scope of the WG (as scope was 
defined).  Which also raises the question of what's the process for IETF 
trust decision making, community input, and how is that reflected in the 
submission to the ICG?

Miles Fidelman
>
> On Mon, Jan 26, 2015 at 7:59 AM, Seun Ojedeji <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     On Mon, Jan 26, 2015 at 4:49 PM, Bernard Aboba
>     <[email-masked] <mailto:[email-masked]>> wrote:
>
>         Avri said:
>
>         "Do I understand correctly  Bernard's answer to say that the
>         IETF submission to the ICG is somehow  incomplete until there
>         is such as authoritative answer from the IAOC on how the issue
>         would be handled.  Such an understanding surprised me as I had
>         not thought of it before, but it does not seem unreasonable. 
>         Off course I may be misunderstanding what was said."
>
>         [BA] The IETF's submission represents a complete framework for
>         transition of the protocol parameters - but aspects of the
>         legal arrangements remain outstanding (as is the case for the
>         RIR response, btw).
>
>
>
>     Just to clarify, what is outstanding for RIR is the actual legal
>     text, the RIR already indicated the features that the legal team
>     should develop their content around. It also specified the IPR
>     requirements (III.A.2)
>
>     What i think is not clear about IETF proposal is that it already
>     indicated that it does not want to do anything about IPR, yet you
>     seem to imply that the IAOC would indeed consider if it should
>     (Which i think is not inline with what the proposal said)
>
>     Regards
>
>         Given the modest expectations set by the IANAPLAN WG, I don't
>         find this particularly worrisome - there should be more than
>         enough time before the deadline for the IAOC to get these
>         issues dealt with.
>
>         Avri also said:
>
>         "I know that in the Names community work, gaining an
>         understanding of the legal environment and the way of actually
>         dealing with the legal points of appeals and possible future
>         decisions to remove the function from ICANN  before the crisis
>         point, is a gating concern and part of the reason are still
>         working on developing our response - we need legal advice
>         before we can complete our work."
>
>         On Sat, Jan 24, 2015 at 9:14 AM, Avri Doria <[email-masked]
>         <mailto:[email-masked]>> wrote:
>
>             Hi,
>
>             Early in the IETF process, it was indeed an issue that was
>             discussed and identified as out of scope for the WG.  I
>             was one of those arguing that it needed to be considered. 
>             I have never been comfortable with so-called nuclear
>             options being the first line of known defense.
>
>             As a well trained follower of process, I desisted from
>             arguing my concerns, which in this case paralleled those
>             of others.
>
>             Do I understand correctly  Bernard's answer to say that
>             the IETF submission to the ICG is somehow incomplete until
>             there is such as authoritative answer from the IAOC on how
>             the issue would be handled. Such an understanding
>             surprised me as I had not thought of it before, but it
>             does not seem unreasonable. Off course I may be
>             misunderstanding what was said.
>
>             I know that in the Names community work, gaining an
>             understanding of the legal environment and the way of
>             actually dealing with the legal points of appeals and
>             possible future decisions to remove the function from
>             ICANN  before the crisis point, is a gating concern and
>             part of the reason are still working on developing our
>             response - we need legal advice before we can complete our
>             work.  But in that case there is no doubt that the legal
>             Perhaps once the Names community has completed its work,
>             and I hope it is real soon, there will be some clue that
>             can be used on legal arrangements and appeals mechanisms
>             by the other communities, upon recommendation from the ICG.
>
>             As for whether ICG experts should be expected to
>             understand the intricacies of the arrangements supplied by
>             the 3 communities, I am sure that each group having picked
>             its finest, they are certainly capable of doing so,  And I
>             beleive that as a group coordinating the puzzle of the
>             partial responses from all communities they need to do so
>             to figure out how to fit the 3 answers (once the have the
>             3) into a consistent response for NTIA.
>
>>>             [BA] A summary of process from authoritative parties
>>>             might be useful.  But it would also be useful to point
>>>             out that we are talking about process concerns relating
>>>             to requirements for legal work that hasn't yet been
>>>             completed by an organization (the IAOC) distinct from
>>>             the IANAPLAN WG.  Until the legal work has been done and
>>>             there are proposed contractual arrangements to analyze,
>>>             we are talking about process objections to requirements
>>>             for arrangements that do not yet exist, within a WG that
>>>             was not chartered to handle the legal work.
>>
>>             Which, I might point out, is a significant process
>>             problem that I've had from the start.  The charter of the
>>             WG was incomplete, and a good part of the IETF response
>>             was handled by other than a transparent and open process.
>>             The IETF response was simply not responsive to what the
>         /Seun Ojedeji,
>         Federal University Oye-Ekiti
>         web: http://www.fuoye.edu.ng
>         Mobile: +2348035233535
>         //alt email:<http://goog_1872880453>[email-masked]
>         <mailto:[email-masked]>/
>

---

From: Miles Fidelman <[email-masked]>
Date: Mon, 26 Jan 2015 12:13:27 -0500

> Please see https://iaoc.ietf.org/policy-procedures.html

Which are all about how the IAOC oversees the IASA, and how it conducts 
meetings - and basically silent about any role of IAOC in formulating 
policy for the IETF, or, for example, the IAOCs role in formulating a 
response to something like the ICG RFP, much less any open, consensus 
process therein.

Miles Fidelman

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 26 Jan 2015 12:24:05 -0500

On Mon, Jan 26, 2015 at 12:13:27PM -0500, Miles Fidelman wrote:
> meetings - and basically silent about any role of IAOC in formulating policy
> for the IETF

This is ridiculous.  The IAOC has no role in "formulating policy for
the IETF", as the documents Bernard suggested you read make perfectly
clear.  The IAOC is accountable to the IETF.  I don't see any reason
to take up the WG's time with the sort of complaint you're making if
you cannot even bother to attend to the plain English meaning of the
documents.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Seun Ojedeji <[email-masked]>
Date: Mon, 26 Jan 2015 19:27:05 +0100

sent from Google nexus 4
> "What i think is not clear about IETF proposal is that it already
indicated that it does not want to do anything about IPR, "
protocol parameters.
This is exactly what I also understand to be the WG outcome as reflected in
the proposal. However, upon the mail from Alissa, your first response
implied that the IAOC is considering the IPR issue related to iana.org. It
will be good to make a distinction of what the IETF community wants to do
about the IPR because the IPR in question is something that affects the 3
communities so I don't see it as what the RIR alone would say they want to
donate to IETF Trust; it requires the other communities to speak the same
(the RIR proposal also took note of that caveat).

So my point is that if the IETF agrees with the RIR then it should also
indicate it in it's proposal or at least be ready to respond when ICG comes
back knocking on that particular subject. I believe discussing what to do
about such issue should be within the scope of this WG and not the IAOC as
you seem to imply.

I would not conclude from this that the IETF proposal ignores IPR issues.
RFC 4371 deals explicitly with IPR issues (which are the responsibility of
the IETF Trust, not the IANAPLAN WG).
Yes that's correct, the uniqueness of this particular IPR is that it's not
property of one community but that of the 3 communities and the decision to
transfer it to Trust has to be collectively achieved. It is after this WG
change it's mind about it's current stand on the iana.org IPR (including
when names community have similar view) that the "IETF trust" can then
consider accepting the donation (which at that point is independent of this
WG)

Regards
>>> [BA] The IETF's submission represents a complete framework for
transition of the protocol parameters - but aspects of the legal
arrangements remain outstanding (as is the case for the RIR response, btw).
>>
>>
>>
>> Just to clarify, what is outstanding for RIR is the actual legal text,
the RIR already indicated the features that the legal team should develop
their content around. It also specified the IPR requirements (III.A.2)
>> What i think is not clear about IETF proposal is that it already
indicated that it does not want to do anything about IPR, yet you seem to
imply that the IAOC would indeed consider if it should (Which i think is
not inline with what the proposal said)
>>>> Early in the IETF process, it was indeed an issue that was discussed
and identified as out of scope for the WG.  I was one of those arguing that
it needed to be considered.  I have never been comfortable with so-called
nuclear options being the first line of known defense.
>>>>
>>>> I know that in the Names community work, gaining an understanding of
>>>>>> [BA] A summary of process from authoritative parties might be
useful.  But it would also be useful to point out that we are talking about
process concerns relating to requirements for legal work that hasn't yet
been completed by an organization (the IAOC) distinct from the IANAPLAN
WG.  Until the legal work has been done and there are proposed contractual
arrangements to analyze, we are talking about process objections to
requirements for arrangements that do not yet exist, within a WG that was
not chartered to handle the legal work.
>>>>> Which, I might point out, is a significant process problem that I've
had from the start.  The charter of the WG was incomplete, and a good part
of the IETF response was handled by other than a transparent and open
process.  The IETF response was simply not responsive to what the ICG asked
for (IMHO).  And that remains a problem.
>>> Seun Ojedeji,
>>> alt email: [email-masked]
>>>

---

From: Miles Fidelman <[email-masked]>
Date: Mon, 26 Jan 2015 14:06:04 -0500

> you cannot even bother to attend to the plain English meaning of the

I can read just fine.  I'm pointing out that:

1. the ICG asked for a response that included attention to policy, 
legal, and contractual issues - from the IETF, prepared through a 
consensus process
2. Every step along the way, the position was stated that the WG was 
charted to only deal with technical issues, that the IAOC would address 
legal, and contractual issues - which to me are definitely policy related
3. When I asked, repeatedly, "so what's the process by which those 
issues would be addressed," the most recent answer was a pointer to the 
online procedures for the IAOC

That is a distinct procedural gap and flaw.  I'm simply pointing it out.

---

From: "Richard Hill" <[email-masked]>
Date: Mon, 26 Jan 2015 20:24:57 +0100

Thanks for this, but I must be missing something, because I don't see how
the global multi-stakeholder community (as opposed to the IETF) is involved.

Best,
Richard

> From: Ianaplan [mailto:[email-masked]]On Behalf Of Russ
> Housley
> Sent: lundi, 26. janvier 2015 18:04
> To: Miles Fidelman
> Cc: [email-masked]
> > Likewise.  And I'll note that I asked this precise question,
> multiple times, during preparation of the WG response, and got no
> substantive answer in response.
>

---

From: "Richard Hill" <[email-masked]>
Date: Mon, 26 Jan 2015 20:26:53 +0100

I agree with Miles, except on one point, see below.

Best,
Richard

> From: Ianaplan [mailto:[email-masked]]On Behalf Of Miles
> Fidelman
> Sent: lundi, 26. janvier 2015 20:06
> To: [email-masked]
> legal, and contractual issues - from the IETF,

My understanding is that the response is supposed to reflect the consensus
of the global multi-stakeholder community. So the IETF, as I understand it,
is supposed to consult and take into account the views of that broad
community.

> prepared through a

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 27 Jan 2015 08:35:44 +1300

On 27/01/2015 05:12, Richard Hill wrote:
> Thank you.
> 
> Unless I misunderstand, according to 3.4 of RFC 4017, IAOC decisions are made by IAOC members. How will the global
> multi-stakeholder community te able to influence those decisions?

That's irrelevant. The IAOC and IETF Trust are responsible to the IETF,
not to the global multi-stakeholder community.

And to say it all one more time: IF and ONLY IF new contractual and
intellectual property arrangements become necessary, THEN the IAOC and
the IETF Trust are the IETF's bodies for dealing with them. And the
WG preference was very clearly to cross that bridge ONLY IF we come to
it. Our stated preference is to continue the present arrangements that
we signed up to in March 2000, which means there would be nothing new
for the IAOC and IETF Trust to do. Why is that hard to understand?

The next WG milestone reads
"May 2015 review of other transition proposals, if needed."
That's the same "if". I'll see you then.

   Brian

---

From: "Richard Hill" <[email-masked]>
Date: Mon, 26 Jan 2015 20:38:06 +0100

> From: Ianaplan [mailto:[email-masked]]On Behalf Of Brian E
> Carpenter
> Sent: lundi, 26. janvier 2015 20:36
> To: [email-masked]
> > Unless I misunderstand, according to 3.4 of RFC 4017, IAOC
> decisions are made by IAOC members. How will the global

That's my point.
> for the IAOC and IETF Trust to do. Why is that hard to understand?

Nothing, it is all clear. Decisions will be made by the IAOC and the IETF
Trust, not by the global multi-stakeholder community.  That's not what the
NTIA requested.

---

From: Avri Doria <[email-masked]>
Date: Mon, 26 Jan 2015 15:16:02 -0500

Hi

Thanks for the clarification.

avri

On 26-Jan-15 10:49, Bernard Aboba wrote:
> but it does not seem unreasonable.  Off course I may be
> misunderstanding what was said."
>
> arrangements remain outstanding (as is the case for the RIR response,
> btw).  Given the modest expectations set by the IANAPLAN WG, I don't
> find this particularly worrisome - there should be more than enough
> time before the deadline for the IAOC to get these issues dealt with. 
>
> Avri also said: 
>
> the legal environment and the way of actually dealing with the legal
> points of appeals and possible future decisions to remove the function
> from ICANN  before the crisis point, is a gating concern and part of
> the reason are still working on developing our response - we need
> legal advice before we can complete our work."
>
>     discussed and identified as out of scope for the WG.  I was one of
>     those arguing that it needed to be considered.  I have never been
>     comfortable with so-called nuclear options being the first line of
>     known defense.
>
>     submission to the ICG is somehow  incomplete until there is such
>     as authoritative answer from the IAOC on how the issue would be
>     handled.  Such an understanding surprised me as I had not thought
>     of it before, but it does not seem unreasonable.  Off course I may
>     be misunderstanding what was said.
>
>     I know that in the Names community work, gaining an understanding
>     of the legal environment and the way of actually dealing with the
>     legal points of appeals and possible future decisions to remove
>     the function from ICANN  before the crisis point, is a gating
>     concern and part of the reason are still working on developing our
>     response - we need legal advice before we can complete our work. 
>     But in that case there is no doubt that the legal aspects are in
>     scope for the Cross community WG.
>
>     Perhaps once the Names community has completed its work, and I
>     hope it is real soon, there will be some clue that can be used on
>     legal arrangements and appeals mechanisms by the other
>     communities, upon recommendation from the ICG.
>
>     intricacies of the arrangements supplied by the 3 communities, I
>     am sure that each group having picked its finest, they are
>     certainly capable of doing so,  And I beleive that as a group
>     coordinating the puzzle of the partial responses from all
>     communities they need to do so to figure out how to fit the 3
>     answers (once the have the 3) into a consistent response for NTIA.
>
>>>     useful.  But it would also be useful to point out that we are
>>>     talking about process concerns relating to requirements for
>>>     legal work that hasn't yet been completed by an organization
>>>     (the IAOC) distinct from the IANAPLAN WG.  Until the legal work
>>>     has been done and there are proposed contractual arrangements to
>>>     analyze, we are talking about process objections to requirements
>>>     for arrangements that do not yet exist, within a WG that was not
>>>     chartered to handle the legal work.
>>
>>     Which, I might point out, is a significant process problem that
>>     I've had from the start.  The charter of the WG was incomplete,
>>     and a good part of the IETF response was handled by other than a
>>     transparent and open process.  The IETF response was simply not
>>     responsive to what the ICG asked for (IMHO).  And that remains a
>>     problem.
>>
>>     Miles Fidelman
>>
>
>

---

From: Stephen Farrell <[email-masked]>
Date: Mon, 26 Jan 2015 21:33:27 +0000

> legal, and contractual issues - which to me are definitely policy related

I do not believe that matches the facts at all. As I recall it, the
WG decided that we do not need to address some issues. We did not
decide or say or acknowledge that we could not address those issues
should they need to be addressed.

In fact the opposite happened, people explicitly said that if needed,
then we could deal with e.g. the IANA.ORG name, but that since we felt
no need, doing so would be silly. Others thought doing the silly thing
now would be good.

S.

---

From: Stephen Farrell <[email-masked]>
Date: Mon, 26 Jan 2015 21:34:07 +0000

> Trust, not by the global multi-stakeholder community.  That's not what the

IETF decisions are made by the IETF by definition. I'm sorry to say
it but my reading of your emails is that you appear to be attempting
to side-track discussion into any rathole that appears on your horizon
but I'm sure that can't be the case. Can you explain what productive
end you are pursuing as it is utterly unclear to me at this point?
Because I'm just not seeing anything that makes sense in your recent
messages to be honest.

Thanks,
S.

---

From: Jari Arkko <[email-masked]>
Date: Tue, 27 Jan 2015 01:15:07 +0200

Miles,

> And this is the big issue that Richard (if I might speak for him), myself, and several others had withe the process - the WG was not representing the IETF "community" in that its charter explicitly excluded policy, legal, contractual, and governance issues from its scope.  So those issues were not addressed by open, transparent, consensus process.

I understand where you are coming from, but I think the above is not a correct characterisation of the situation. The IANAPLAN WG and the IETF community are in charge. They have spoken; they have made their decision on what the transition should be from their perspective. They have made all the top-level decisions necessary to move forward.

This does not mean that we are entirely done. Obviously there are steps beyond this. One, there is an enhancement to make to a contract, and an acknowledgement from various parties to be made about data being in public domain. That is the task for the IAOC, to be done exactly as the IETF commands it to be done. This does not prevent the IAOC for implementing additional enhancements (they got some suggestions from the community), and this is their job, they keep updating all IETF contracts every year or every renewal period. But they shall follow IETF guidance that is clearly described in the IANAPLAN document.

Two, the ICG has work to do. It is conceivable, for instance, that we’ll find incompatibilities that need fixing. We may have to revise the three proposals.

Three, ICANN has some accountability and structural changes to make and some of those may be needed for the names proposal.

Four, NTIA needs to make some evaluations and decisions.

Five, when the full transition goes forward, some contracts will be terminated and perhaps some new ones created.

So I plead that we do not mix clear guidance from the IETF with some of these further steps. They will be done according to what the working group specified. Or else we have to come back here and rethink. And that is always a possibility, e.g., with the incompatibilities, or with NTIA requiring something additional. Or assumed accountability mechanisms or contracts not being possible due to the other parties not being ready or not being willing to do them.   It should be obvious that our community can not, for instance, sign contracts on behalf of ICANN or NTIA. So clearly we have a situation where we need to express our goals and requirements but the actual implementation - be it the negotiation or the signing - necessarily comes later.

In short, to say that the proposal is not complete or is not under the control of an open process is wrong. The direction has been set. There are more steps to go through, and they will happen in time, but they *will* happen under the community direction.

Jari

---

From: Jari Arkko <[email-masked]>
Date: Tue, 27 Jan 2015 01:29:54 +0200

Re: IPR issues

Lets remember that there is no single ‘IPR issue’. The topic is complex, and the IETF community came to a conclusion with regards to those different aspects. For instance, see the item about data being in public domain in Section 2:III. The community came to a different conclusion with regards to domain names. And that’s fine. The IETF community is evaluating the situation with its experience of the situation, and from where I sit, making fairly reasonable decisions.

I did want to respond on:

> However, upon the mail from Alissa, your first response implied that the IAOC is considering the IPR issue related to iana.org. It will be good to make a distinction of what the IETF community wants to do about the IPR because the IPR in question is something that affects the 3 communities so I don't see it as what the RIR alone would say they want to donate to IETF Trust; it requires the other communities to speak the same (the RIR proposal also took note of that caveat).
> 
> So my point is that if the IETF agrees with the RIR then it should also indicate it in it's proposal or at least be ready to respond when ICG comes back knocking on that particular subject. I believe discussing what to do about such issue should be within the scope of this WG and not the IAOC as you seem to imply.

You both may be right. We all have observed the same suggestion from the RIRs. I think that falls in the same category as other potential cross-community dependencies. The ICG needs to collect the issues those types of issues, the IETF trust needs to understand if what is being asked is at all feasible. And as Alissa noted, they are doing their work. But ultimately, in these sort of matters, the IETF will ask its community for feedback.

But at the moment, we know what the IETF direction is for the transition arrangements. We may be able to do additional things, if it is necessary for the other two communities, and we may have to re-evaluate some part of our proposal if the ICG detects a direct conflict.

Jari

---

From: Jari Arkko <[email-masked]>
Date: Tue, 27 Jan 2015 02:26:26 +0200

I’d like to suggest a constructive way forward.

First, I think we should observe that the ICG process put the planning and proposal efforts on purpose into the community processes. Those are the processes that we run. They are probably not perfect, they are certainly not the only possible ones, but they are processes that have existed and evolved for decades. The IANA transition is not an opportunity to redefine these processes.

Second, the community has had a very clear opinion about matters, and re-opening discussions is not good practice. As usual, there are some issue where agreement was not universal. Disagreement with otherwise broad consensus is not grounds for re-opening a discussion.

Third, I want everyone to focus on the concept that we’ve completed a step but that is not the last one. Among other things, the transition might involve some contract-termination/negotiation/renegotiation. And even if it would be very convenient, even IETF consensus doesn’t allow us to sign stuff in the name of other organisations :-) Or resolve conflicts between the three community proposals. So I would suggest that we stick to our clear direction from the WG, sit back, and see what these additional steps will bring. We will see updates as ICG, IAOC, and others have something to say, and any changes of direction will obviously need community feedback.

Fourth, I wanted to go a bit back to the original e-mail that started this thread (finally!). As noted above, I think it would be inappropriate to start redefining the IETF process, and I think we’ve provided far more explanation about where we are and why than we’ve done in the approval process of most other IETF documents. One of the features of the IETF process is the expectation that most participants usually track the development of the community opinion, and conclusions are usually understood even before they are formally made. And when those conclusions get made, they can be brief, as the full discussion is visible on the mailing list archive.

Yet, I have been talking to Milton and he has a point about communities understanding their own process well, but it being more difficult for newcomers, and in particular, complete outsiders that view the events later. I’d like to suggest that we produce an informal explanation of the process that helps provide visibility to people at large about what happened in the development of the IETF proposal from IANAPLAN WG. This is not a rerun of the process, an official document, or an opportunity to re-open discussions, but I think it would help us in the coming months as more people will be asking about our proposals. I’ll work with the chairs to produce that.

Jari

---

From: JFC Morfin <[email-masked]>
Date: Tue, 27 Jan 2015 00:12:25 +0100

At 21:18 25/01/2015, Andrew Sullivan wrote:
>But since both ICANN and the IETF have repeatedly stated their

Dear Andrew,
The IETF has stated 
http://www.ietf.org/blog/2015/01/taking-a-step-towards-iana-transition/:

<quote>
"Our work is not yet complete. There are a number of steps still in 
front of us. They include the following:
    * Both the numbers and names communities need to complete their 
proposals. We at the IETF will continue engage with them with their 
work, just as they assisted us with ours.
    * Later, the IANA Transition Coordination Group 
(<http://ianacg.org>ICG) will assemble a complete proposal and gather 
community feedback on the result. When ready, they will submit the 
final proposal to the NTIA.
    * The NTIA must then consider and approve the proposal.
    * Finally it must be implemented.
While there will assuredly be some bumps along the road to success, 
the IETF leadership are committed to ensuring a good outcome for the Internet."
</quote>

"Some bumps" which may not be that confortable.

The IETF does not seem to consider there is yet a departure of one 
actor from the scene when they say the final proposal will have to be 
submited for consideration and approval to the NTIA. The NTIA 
therefore replaces the IAB as the ultimate referent for the 
ICANN/IETF global community making it USG dependent. This 
differentiates the ICANN/IETF global community from the other RFC 
6852 global communities such as the FLOSS or the International communities.

As I have noted it, the IANAPLAN I_D now approved by the IESG 
represents an IETF leadership consensus as per RFC 2026. However it 
also puts the Internet technology in jeopardy because it does not 
includes the necessary watch and technological adjustments and 
liaison cooperation with those among the global communities which may 
not want to become NTIA dependent, and to competitively innovate as a result.

jfc

---

From: Seun Ojedeji <[email-masked]>
Date: Tue, 27 Jan 2015 02:19:07 +0100

Thanks for this Jari, it's helpful summary

Regards

sent from Google nexus 4
kindly excuse brevity and typos.
On 27 Jan 2015 01:27, "Jari Arkko" <[email-masked]> wrote:

> First, I think we should observe that the ICG process put the planning and
> proposal efforts on purpose into the community processes. Those are the
> processes that we run. They are probably not perfect, they are certainly
> not the only possible ones, but they are processes that have existed and
> evolved for decades. The IANA transition is not an opportunity to redefine
> these processes.
>
> Second, the community has had a very clear opinion about matters, and
> re-opening discussions is not good practice. As usual, there are some issue
> where agreement was not universal. Disagreement with otherwise broad
> consensus is not grounds for re-opening a discussion.
>
> Third, I want everyone to focus on the concept that we’ve completed a step
> but that is not the last one. Among other things, the transition might
> involve some contract-termination/negotiation/renegotiation. And even if it
> would be very convenient, even IETF consensus doesn’t allow us to sign
> stuff in the name of other organisations :-) Or resolve conflicts between
> the three community proposals. So I would suggest that we stick to our
> clear direction from the WG, sit back, and see what these additional steps
> will bring. We will see updates as ICG, IAOC, and others have something to
> say, and any changes of direction will obviously need community feedback.
>
> Fourth, I wanted to go a bit back to the original e-mail that started this
> thread (finally!). As noted above, I think it would be inappropriate to
> start redefining the IETF process, and I think we’ve provided far more
> explanation about where we are and why than we’ve done in the approval
> process of most other IETF documents. One of the features of the IETF
> process is the expectation that most participants usually track the
> development of the community opinion, and conclusions are usually
> understood even before they are formally made. And when those conclusions
> get made, they can be brief, as the full discussion is visible on the
> mailing list archive.
>
> Yet, I have been talking to Milton and he has a point about communities
> understanding their own process well, but it being more difficult for
> newcomers, and in particular, complete outsiders that view the events
> later. I’d like to suggest that we produce an informal explanation of the
> process that helps provide visibility to people at large about what
> happened in the development of the IETF proposal from IANAPLAN WG. This is
> not a rerun of the process, an official document, or an opportunity to
> re-open discussions, but I think it would help us in the coming months as
> more people will be asking about our proposals. I’ll work with the chairs
> to produce that.
>
> Jari
>
>

---

From: Eliot Lear <[email-masked]>
Date: Tue, 27 Jan 2015 10:20:27 +0100

Hi Richard,

On 1/26/15 8:26 PM, Richard Hill wrote:

> My understanding is that the response is supposed to reflect the
> consensus of the global multi-stakeholder community. So the IETF, as I
> understand it, is supposed to consult and take into account the views
> of that broad community. 

While I am tempted to rebut your statement, I think it would be bad form
to do so until we have determined an answer to this question: can you
explain how we are not re-litigating the RFP itself, the agreement on
the charter, and the resulting work?  I ask because I don't see how
discussing any of those three is going to result in any sort of decision
making by this group.

Eliot

---

From: "Richard Hill" <[email-masked]>
Date: Tue, 27 Jan 2015 10:25:36 +0100

>discussing any of those three is going to result in any sort of decision

Actually I agree with you, and I'm sure that you noticed that I did not 
initiate this thread and did not post to it until very recently, and then 
only on process issues.

----- Original Message ----- 
From: "Eliot Lear" <[email-masked]>
To: <[email-masked]>; "Miles Fidelman" <[email-masked]>; 
<[email-masked]>
Sent: Tuesday, January 27, 2015 10:20 AM
Subject: Re: [Ianaplan] Process concern regarding the IETF proposal 
development process

---

From: "Richard Hill" <[email-masked]>
Date: Tue, 27 Jan 2015 10:30:23 +0100

----- Original Message ----- 
From: "Jari Arkko" <[email-masked]>
To: "Miles Fidelman" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, January 27, 2015 12:15 AM
Subject: Re: [Ianaplan] Process concern regarding the IETF proposal 
development process
SNIP
>This does not mean that we are entirely done. Obviously there are steps 
>beyond this. One,
> there is an enhancement to make to a contract,

That assumes that there is, at present, a contract between the IETF and 
ICANN. As I've said before, it does not appear evident to me that the MoU 
between the IETF and ICANN is a contract in the legal sense of the term.

Or are you saying that the IETF's response calls for a contract to be 
established, if the present MoU turns out not to be a contract?

SNIP

---

From: Jefsey <[email-masked]>
Date: Tue, 27 Jan 2015 19:51:16 +0100

At 10:30 27/01/2015, Richard Hill wrote:
>Or are you saying that the IETF's response calls for a contract to 
>be established, if the present MoU turns out not to be a contract?

Richard,

a contract supposes a reference to a law. It is about something. It is
thought in common between parties. Parties must be legitimate.

- There is no law as this is global and does not want to be
    international (i.e. multilateral).

- I would be surprised if someone could describe a consensus about
   what will be discussed.

- I am sure there are multiple and often opposing ways of
   thinking/understanding which are involved.

- I am sure of something : none is a legitimate owner of what is
   being discussed.

I would suggest everyone to stop and read some Lee Smollin before
resuming this cosmologic debate.

All this debate is strictly of no interest as only an operationalist
approach can be adopted. Jari is right. The course is set. Rough seas ahead.
Nothing less, but nothing more.

The decision has been taken by the IETF leaders and has been endorsed
by last call and accepted as a rough consensus. What has been written
has strictly no interest: what counts is the momentum, the direction.

The thing is that many in the world will not believe that the decision
fits with the IETF mission and that the IETF leadership could take it.
Hence the need of an appeal for them to publish clearly that their
decision is really what they want.

Where we disagree is that you think they may have been wrong. I think
they have been right, but that this has consequences, that it is their
responsibility to consider them. and they do not. This is why we can
can build upon what they have decided, but one cannot see them as
trustable partners any more.

Words have switched from "status quo" to "permissionless innovation"
but the same NSA compatibility requirement remains. Same since 1984.

The applied contract will remain NSA compatible.

jfc

---

From: Alissa Cooper <[email-masked]>
Date: Fri, 30 Jan 2015 16:56:52 -0800

All,

I realize there has been significant discussion on this thread, so the note below from the ICG may appear belated, but I wanted to share it nonetheless.

The ICG suggests that you take all comments the ICG has forwarded to you from http://forum.icann.org/lists/icg-forum/ about your proposal or the process of creating it as if they were made inside your process and address them as you normally would. 

The ICG is aware of the comments. If the ICG has specific questions to you based on the comments we will explicitly ask them to you as part of our normal ICG process just like any other question we may have.

Let me know if you have questions.

Thanks,
Alissa on behalf of the ICG